# TODO
# - Enabling enterprise features:
#   To connect to MongoDB Enterprise using SASL (GSSAPI) or LDAP (PLAIN) you
#   need to build the driver against cyrus-sasl2 (external library).
# NOTE
# - see comprehensive release notes here https://github.com/mongodb/mongo-php-driver/releases
%define		php_name	php%{?php_suffix}
%define		modname	mongo
%define		status		stable
Summary:	%{modname} - MongoDB database driver
Summary(pl.UTF-8):	%{modname} - dostęp do bazy danych MongoDB
Name:		%{php_name}-pecl-%{modname}
Version:	1.5.5
Release:	1
License:	Apache v2.0
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	cbffc30b2f952d52396a7119c9e2389c
URL:		http://docs.mongodb.org/ecosystem/drivers/php/
BuildRequires:	%{php_name}-devel >= 3:5.1.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-mongo < 1.5.1-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an interface for communicating with the MongoDB
database in PHP.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Moduł umożliwia dostęp do serwera MongoDB w aplikacjach PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README.md
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Wed Aug 06 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-mongo.git;a=log;h=auto/th/php-pecl-mongo-1.5.5-1

* Wed Aug 06 2014 Elan Ruusamäe <glen@delfi.ee> c7603ee
- up to 1.5.5

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> a961c35
- obsolete old php name
- release 2 (by relup.sh)

* Fri Apr 18 2014 Elan Ruusamäe <glen@delfi.ee> f714015
- up to 1.5.1

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 9a8b04c
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> 778a0e6
- up to 1.4.5

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> fe6d3c9
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 16c643c
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 2792062
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 618faed
- updated to 1.2.10

* Mon Dec 05 2011 Elan Ruusamäe <glen@pld-linux.org> e2e31ba
- use template-specs/php-pecl.spec for base of new package
- package README
- license version

* Mon Dec 05 2011 Jan Rękorajski <baggins@pld-linux.org> 0463c8c
- too much adapter
- pl

* Mon Dec 05 2011 Jan Rękorajski <baggins@pld-linux.org> e4fce42
- new, by Łukasz Szczęsny <luk/at/mimuw.edu.pl>

